# std::map::rbegin, std::map::crbegin

From cppreference.com
< cpp‎ | container‎ | map

reverse_iterator rbegin(); |  |
const_reverse_iterator rbegin() const; |  |
const_reverse_iterator crbegin() const; |  | (since C++11)

Returns a reverse iterator to the first element of the reversed container. It corresponds to the last element of the non-reversed container.

### Parameters

(none)

### Return value

Reverse iterator to the first element.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

### See also

rend crend | returns a reverse iterator to the end (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/map/rbegin&oldid=50566"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template